#!/bin/bash

cd "${0%/*}"
app_file=$(pwd | rev | cut -d / -f3- | rev)
app_folder=$(echo ${app_file} | rev | cut -d / -f2 | rev)
app_name=$(echo ${app_file} | rev | cut -d / -f1 | rev)

binary_target_dir="/Applications/CBIOS Network Server.app/Contents/MacOS/"

app_file_prev=`cat app_folder`

if [[ (! -f "$app_file/Contents/MacOS/app_folder") || ( "$app_file" != "$app_file_prev" ) ]]; then
  
  osascript -e 'do shell script "./first_run.sh args 2>&1 etc" with administrator privileges'

  if [ -f "$app_file/Contents/MacOS/app_folder" ]; then
    # Delete old dock links if exist
    dloc=$(defaults read com.apple.dock persistent-apps | grep file-label | awk '/CBIOS/  {printf NR}')
    dloc=$[$dloc-1]
    echo $dloc
    /usr/libexec/PlistBuddy -c "Delete persistent-apps:$dloc" ~/Library/Preferences/com.apple.dock.plist
    # Create new dock link
    defaults write com.apple.dock persistent-apps -array-add "<dict><key>tile-data</key><dict><key>file-data</key><dict><key>_CFURLString</key><string>${app_file}</string><key>_CFURLStringType</key><integer>0</integer></dict></dict></dict>"; killall Dock
  fi

  open -e ./network_server.txt
fi

open -a Terminal run_server.sh
